IBM WebSphere MQ érvénytelen üzenet puffer túlcsordulás sérülékenysége

CH azonosító

CH-4201

Angol cím

IBM WebSphere MQ Invalid Message Buffer Overflow Vulnerability

Felfedezés dátuma

2011.01.16.

Súlyosság

Alacsony

Érintett rendszerek

IBM
WebSphere MQ

Érintett verziók

IBM WebSphere MQ 6.x, 7.x

Összefoglaló

Az IBM WebSphere MQ egy olyan sérülékenységét jelentették, amelyet rosszindulatú felhasználók kihasználhatnak a sérülékeny rendszer feltörésére.

Leírás

A sérülékenységet a sorban álló üzenetek feldolgozási hibája okozza, ami kihasználható halom alapú puffer túlcsordulás előidézésére, egy speciálisan erre a célra elkészített érvénytelen üzenet beszúrásával.

A sikeres kihasználás tetszőleges kód futtatását teszi lehetővé.

Megoldás

Telepítse a javítócsomagokat